org.apache.xmlbeans

## Class XmlOptionsBean

- java.lang.Object
- - org.apache.xmlbeans.XmlOptions
  - - org.apache.xmlbeans.XmlOptionsBean

- All Implemented Interfaces:
    java.io.Serializable

      public class XmlOptionsBean
      extends XmlOptions

  Same as `XmlOptions` but adhering to JavaBean conventions
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.XmlOptions

      `BASE_URI, CHARACTER_ENCODING, COMPILE_DOWNLOAD_URLS, COMPILE_MDEF_NAMESPACES, COMPILE_NO_ANNOTATIONS, COMPILE_NO_PVR_RULE, COMPILE_NO_UPA_RULE, COMPILE_NO_VALIDATION, COMPILE_SUBSTITUTE_NAMES, COPY_USE_NEW_SYNC_DOMAIN, DEFAULT_ENTITY_EXPANSION_LIMIT, DOCUMENT_SOURCE_NAME, DOCUMENT_TYPE, ENTITY_EXPANSION_LIMIT, ENTITY_RESOLVER, ERROR_LISTENER, GENERATE_JAVA_14, GENERATE_JAVA_15, GENERATE_JAVA_VERSION, LOAD_ADDITIONAL_NAMESPACES, LOAD_DTD_GRAMMAR, LOAD_ENTITY_BYTES_LIMIT, LOAD_EXTERNAL_DTD, LOAD_LINE_NUMBERS, LOAD_LINE_NUMBERS_END_ELEMENT, LOAD_MESSAGE_DIGEST, LOAD_REPLACE_DOCUMENT_ELEMENT, LOAD_SAVE_CDATA_BOOKMARKS, LOAD_STRIP_COMMENTS, LOAD_STRIP_PROCINSTS, LOAD_STRIP_WHITESPACE, LOAD_SUBSTITUTE_NAMESPACES, LOAD_TRIM_TEXT_BUFFER, LOAD_USE_DEFAULT_RESOLVER, LOAD_USE_XMLREADER, SAVE_AGGRESSIVE_NAMESPACES, SAVE_CDATA_ENTITY_COUNT_THRESHOLD, SAVE_CDATA_LENGTH_THRESHOLD, SAVE_FILTER_PROCINST, SAVE_IMPLICIT_NAMESPACES, SAVE_INNER, SAVE_NAMESPACES_FIRST, SAVE_NO_XML_DECL, SAVE_OPTIMIZE_FOR_SPEED, SAVE_OUTER, SAVE_PRETTY_PRINT, SAVE_PRETTY_PRINT_INDENT, SAVE_PRETTY_PRINT_OFFSET, SAVE_SAX_NO_NSDECLS_IN_ATTRIBUTES, SAVE_SUBSTITUTE_CHARACTERS, SAVE_SUGGESTED_PREFIXES, SAVE_SYNTHETIC_DOCUMENT_ELEMENT, SAVE_USE_DEFAULT_NAMESPACE, SAVE_USE_OPEN_FRAGMENT, SCHEMA_CODE_PRINTER, UNSYNCHRONIZED, VALIDATE_ON_SET, VALIDATE_STRICT, VALIDATE_TEXT_ONLY, VALIDATE_TREAT_LAX_AS_SKIP, XQUERY_CURRENT_NODE_VAR, XQUERY_VARIABLE_MAP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlOptionsBean()` Construct a new blank XmlOptions.
    `XmlOptionsBean(XmlOptions other)` Construct a new XmlOptions, copying the options.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCharacterEncoding()`
    `java.util.Set` | `getCompileMdefNamespaces()`
    `java.util.Map` | `getCompileSubstituteNames()`
    `java.lang.String` | `getDocumentSourceName()`
    `SchemaType` | `getDocumentType()`
    `int` | `getEntityExpansionLimit()`
    `EntityResolver` | `getEntityResolver()`
    `java.lang.String` | `getGenerateJavaVersion()`
    `java.util.Map` | `getLoadAdditionalNamespaces()`
    `javax.xml.namespace.QName` | `getLoadReplaceDocumentElement()`
    `java.util.Map` | `getLoadSubstituteNamespaces()`
    `java.lang.Integer` | `getSaveCDataEntityCountThreshold()`
    `java.lang.Integer` | `getSaveCDataLengthThreshold()`
    `java.lang.String` | `getSaveFilterProcinst()`
    `java.util.Map` | `getSaveImplicitNamespaces()`
    `java.lang.Integer` | `getSavePrettyPrintIndent()`
    `java.lang.Integer` | `getSavePrettyPrintOffset()`
    `XmlOptionCharEscapeMap` | `getSaveSubstituteCharacters()`
    `java.util.Map` | `getSaveSuggestedPrefixes()`
    `javax.xml.namespace.QName` | `getSaveSyntheticDocumentElement()`
    `java.lang.String` | `getXqueryCurrentNodeVar()`
    `java.util.Map` | `getXqueryVariables()`
    `boolean` | `isCompileDownloadUrls()`
    `boolean` | `isCompileNoAnnotations()`
    `boolean` | `isCompileNoPvrRule()`
    `boolean` | `isCompileNoUpaRule()`
    `boolean` | `isLoadDTDGrammar()`
    `boolean` | `isLoadExternalDTD()`
    `boolean` | `isLoadLineNumbers()`
    `boolean` | `isLoadMessageDigest()`
    `boolean` | `isLoadStripComments()`
    `boolean` | `isLoadStripProcinsts()`
    `boolean` | `isLoadTrimTextBuffer()`
    `boolean` | `isLoadUseDefaultResolver()`
    `boolean` | `isSaveAggressiveNamespaces()`
    `boolean` | `isSaveInner()`
    `boolean` | `isSaveNamespacesFirst()`
    `boolean` | `isSaveNoXmlDecl()`
    `boolean` | `isSaveOuter()`
    `boolean` | `isSavePrettyPrint()`
    `boolean` | `isSaveSaxNoNSDeclsInAttributes()`
    `boolean` | `isSaveUseOpenFrag()`
    `boolean` | `isSetLoadStripWhitespace()`
    `boolean` | `isUnsynchronized()`
    `boolean` | `isUseDefaultNamespace()`
    `boolean` | `isValidateOnSet()`
    `boolean` | `isValidateStrict()`
    `boolean` | `isValidateTreatLaxAsSkip()`
    `void` | `setCompileDownloadUrls(boolean b)`
    `void` | `setCompileNoAnnotations(boolean b)`
    `void` | `setCompileNoPvrRule(boolean b)`
    `void` | `setCompileNoUpaRule(boolean b)`
    `void` | `setLoadLineNumbers(boolean b)`
    `void` | `setLoadMessageDigest(boolean b)`
    `void` | `setLoadStripComments(boolean b)`
    `void` | `setLoadStripProcinsts(boolean b)`
    `void` | `setLoadStripWhitespace(boolean b)`
    `void` | `setLoadTrimTextBuffer(boolean b)`
    `void` | `setLoadUseDefaultResolver(boolean b)`
    `void` | `setSaveAggressiveNamespaces(boolean b)`
    `void` | `setSaveInner(boolean b)`
    `void` | `setSaveNamespacesFirst(boolean b)`
    `void` | `setSaveNoXmlDecl(boolean b)`
    `void` | `setSaveOuter(boolean b)`
    `void` | `setSavePrettyPrint(boolean b)`
    `void` | `setSaveSaxNoNSDeclsInAttributes(boolean b)`
    `void` | `setSaveUseOpenFrag(boolean b)`
    `void` | `setUnsynchronized(boolean b)`
    `void` | `setUseDefaultNamespace(boolean b)`
    `void` | `setValidateOnSet(boolean b)`
    `void` | `setValidateStrict(boolean b)`
    `void` | `setValidateTreatLaxAsSkip(boolean b)`

    - ### Methods inherited from class org.apache.xmlbeans.XmlOptions

      `get, hasOption, hasOption, maskNull, put, put, put, remove, safeGet, setBaseURI, setCharacterEncoding, setCompileDownloadUrls, setCompileMdefNamespaces, setCompileNoAnnotations, setCompileNoPvrRule, setCompileNoUpaRule, setCompileNoValidation, setCompileSubstituteNames, setCopyUseNewSynchronizationDomain, setDocumentSourceName, setDocumentType, setEntityExpansionLimit, setEntityResolver, setErrorListener, setGenerateJavaVersion, setLoadAdditionalNamespaces, setLoadDTDGrammar, setLoadEntityBytesLimit, setLoadExternalDTD, setLoadLineNumbers, setLoadLineNumbers, setLoadMessageDigest, setLoadReplaceDocumentElement, setLoadStripComments, setLoadStripProcinsts, setLoadStripWhitespace, setLoadSubstituteNamespaces, setLoadTrimTextBuffer, setLoadUseDefaultResolver, setLoadUseXMLReader, setSaveAggresiveNamespaces, setSaveAggressiveNamespaces, setSaveCDataEntityCountThreshold, setSaveCDataLengthThreshold, setSaveFilterProcinst, setSaveImplicitNamespaces, setSaveInner, setSaveNamespacesFirst, setSaveNoXmlDecl, setSaveOuter, setSavePrettyPrint, setSavePrettyPrintIndent, setSavePrettyPrintOffset, setSaveSaxNoNSDeclsInAttributes, setSaveSubstituteCharacters, setSaveSuggestedPrefixes, setSaveSyntheticDocumentElement, setSaveUseOpenFrag, setSchemaCodePrinter, setUnsynchronized, setUseCDataBookmarks, setUseDefaultNamespace, setValidateOnSet, setValidateStrict, setValidateTreatLaxAsSkip, setXqueryCurrentNodeVar, setXqueryVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlOptionsBean

          public XmlOptionsBean()

      Construct a new blank XmlOptions.

    - #### XmlOptionsBean

          public XmlOptionsBean(XmlOptions other)

      Construct a new XmlOptions, copying the options.
      Parameters:
        `other` - the source `XmlOptions` object

  - ### Method Detail

    - #### setSaveNamespacesFirst

          public void setSaveNamespacesFirst(boolean b)

    - #### isSaveNamespacesFirst

          public boolean isSaveNamespacesFirst()

    - #### setSavePrettyPrint

          public void setSavePrettyPrint(boolean b)

    - #### isSavePrettyPrint

          public boolean isSavePrettyPrint()

    - #### getSavePrettyPrintIndent

          public java.lang.Integer getSavePrettyPrintIndent()

    - #### getSavePrettyPrintOffset

          public java.lang.Integer getSavePrettyPrintOffset()

    - #### getCharacterEncoding

          public java.lang.String getCharacterEncoding()

    - #### getDocumentType

          public SchemaType getDocumentType()

    - #### setSaveAggressiveNamespaces

          public void setSaveAggressiveNamespaces(boolean b)

    - #### isSaveAggressiveNamespaces

          public boolean isSaveAggressiveNamespaces()

    - #### getSaveSyntheticDocumentElement

          public javax.xml.namespace.QName getSaveSyntheticDocumentElement()

    - #### setUseDefaultNamespace

          public void setUseDefaultNamespace(boolean b)

    - #### isUseDefaultNamespace

          public boolean isUseDefaultNamespace()

    - #### getSaveImplicitNamespaces

          public java.util.Map getSaveImplicitNamespaces()

    - #### getSaveSuggestedPrefixes

          public java.util.Map getSaveSuggestedPrefixes()

    - #### getSaveFilterProcinst

          public java.lang.String getSaveFilterProcinst()

    - #### getSaveSubstituteCharacters

          public XmlOptionCharEscapeMap getSaveSubstituteCharacters()

    - #### setSaveUseOpenFrag

          public void setSaveUseOpenFrag(boolean b)

    - #### isSaveUseOpenFrag

          public boolean isSaveUseOpenFrag()

    - #### setSaveOuter

          public void setSaveOuter(boolean b)

    - #### isSaveOuter

          public boolean isSaveOuter()

    - #### setSaveInner

          public void setSaveInner(boolean b)

    - #### isSaveInner

          public boolean isSaveInner()

    - #### setSaveNoXmlDecl

          public void setSaveNoXmlDecl(boolean b)

    - #### isSaveNoXmlDecl

          public boolean isSaveNoXmlDecl()

    - #### getSaveCDataLengthThreshold

          public java.lang.Integer getSaveCDataLengthThreshold()

    - #### getSaveCDataEntityCountThreshold

          public java.lang.Integer getSaveCDataEntityCountThreshold()

    - #### setSaveSaxNoNSDeclsInAttributes

          public void setSaveSaxNoNSDeclsInAttributes(boolean b)

    - #### isSaveSaxNoNSDeclsInAttributes

          public boolean isSaveSaxNoNSDeclsInAttributes()

    - #### getLoadReplaceDocumentElement

          public javax.xml.namespace.QName getLoadReplaceDocumentElement()

    - #### setLoadStripWhitespace

          public void setLoadStripWhitespace(boolean b)

    - #### isSetLoadStripWhitespace

          public boolean isSetLoadStripWhitespace()

    - #### setLoadStripComments

          public void setLoadStripComments(boolean b)

    - #### isLoadStripComments

          public boolean isLoadStripComments()

    - #### setLoadStripProcinsts

          public void setLoadStripProcinsts(boolean b)

    - #### isLoadStripProcinsts

          public boolean isLoadStripProcinsts()

    - #### setLoadLineNumbers

          public void setLoadLineNumbers(boolean b)

    - #### isLoadLineNumbers

          public boolean isLoadLineNumbers()

    - #### getLoadSubstituteNamespaces

          public java.util.Map getLoadSubstituteNamespaces()

    - #### setLoadTrimTextBuffer

          public void setLoadTrimTextBuffer(boolean b)

    - #### isLoadTrimTextBuffer

          public boolean isLoadTrimTextBuffer()

    - #### getLoadAdditionalNamespaces

          public java.util.Map getLoadAdditionalNamespaces()

    - #### setLoadMessageDigest

          public void setLoadMessageDigest(boolean b)

    - #### isLoadMessageDigest

          public boolean isLoadMessageDigest()

    - #### setLoadUseDefaultResolver

          public void setLoadUseDefaultResolver(boolean b)

    - #### isLoadUseDefaultResolver

          public boolean isLoadUseDefaultResolver()

    - #### getXqueryCurrentNodeVar

          public java.lang.String getXqueryCurrentNodeVar()

    - #### getXqueryVariables

          public java.util.Map getXqueryVariables()

    - #### getDocumentSourceName

          public java.lang.String getDocumentSourceName()

    - #### getCompileSubstituteNames

          public java.util.Map getCompileSubstituteNames()

    - #### setCompileNoUpaRule

          public void setCompileNoUpaRule(boolean b)

    - #### isCompileNoUpaRule

          public boolean isCompileNoUpaRule()

    - #### setCompileNoPvrRule

          public void setCompileNoPvrRule(boolean b)

    - #### isCompileNoPvrRule

          public boolean isCompileNoPvrRule()

    - #### setCompileNoAnnotations

          public void setCompileNoAnnotations(boolean b)

    - #### isCompileNoAnnotations

          public boolean isCompileNoAnnotations()

    - #### setCompileDownloadUrls

          public void setCompileDownloadUrls(boolean b)

    - #### isCompileDownloadUrls

          public boolean isCompileDownloadUrls()

    - #### getCompileMdefNamespaces

          public java.util.Set getCompileMdefNamespaces()

    - #### setValidateOnSet

          public void setValidateOnSet(boolean b)

    - #### isValidateOnSet

          public boolean isValidateOnSet()

    - #### setValidateTreatLaxAsSkip

          public void setValidateTreatLaxAsSkip(boolean b)

    - #### isValidateTreatLaxAsSkip

          public boolean isValidateTreatLaxAsSkip()

    - #### setValidateStrict

          public void setValidateStrict(boolean b)

    - #### isValidateStrict

          public boolean isValidateStrict()

    - #### setUnsynchronized

          public void setUnsynchronized(boolean b)

    - #### isUnsynchronized

          public boolean isUnsynchronized()

    - #### getEntityResolver

          public EntityResolver getEntityResolver()

    - #### getGenerateJavaVersion

          public java.lang.String getGenerateJavaVersion()

    - #### getEntityExpansionLimit

          public int getEntityExpansionLimit()

    - #### isLoadDTDGrammar

          public boolean isLoadDTDGrammar()

    - #### isLoadExternalDTD

          public boolean isLoadExternalDTD()